## org.mariadb.jdbc.internal.util.exceptions
Class MaxAllowedPacketException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.mariadb.jdbc.internal.util.exceptions.MaxAllowedPacketException

All Implemented Interfaces:
  Serializable

    public class MaxAllowedPacketException

extends IOException

See Also:
  Serialized Form

Constructor Summary
`MaxAllowedPacketException(String message, boolean mustReconnect)`

Method Summary
`boolean` `isMustReconnect()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MaxAllowedPacketException

    public MaxAllowedPacketException(String message,
                                     boolean mustReconnect)

Method Detail

### isMustReconnect

    public boolean isMustReconnect()

Copyright © 2017. All rights reserved.